STRICT = true
DEBUG = true

require 'zoetrope'

Player = Tile:extend {
   image = 'data/player.png',
   onUpdate = function (self)
                 self.velocity.x = 0
                 self.velocity.y = 0

                 if the.keys:pressed('left') then
                    self.velocity.x = -200
                 elseif the.keys:pressed('right') then
                    self.velocity.x = 200
                 end
              end
}

GameView = View:extend {
   onNew = function (self)
              self:loadLayers('data/map.lua')
              self.focus = the.player
              self:clampTo(self.map)
           end,

   onUpdate = function (self, dt)
                 self.map:subdisplace(the.player)
              end
}

the.app = App:new {
   onRun = function (self)
              self.view = GameView:new()
           end,
   onUpdate = function (self, dt)
                 if the.keys:justPressed('escape') then
                    love.event.quit()
                 end
              end
}